package org.springblade.third.iotdevice.feign;

import com.alibaba.fastjson.JSONObject;
import org.springblade.core.tool.api.R;
import org.springblade.device.entity.IotDevice;
import org.springblade.third.iotdevice.dto.AepIotDeviceQueryDto;
import org.springframework.stereotype.Component;

/**
 * @author lidexi
 * @date 2021/5/29 16:44
 */
@Component
public class AepDeviceClientFallback implements IAepDeviceManageClient {

	@Override
	public R<JSONObject>  registerDevice(IotDevice iotDevice) {
		return null;
	}

	@Override
	public R deleteDevice(IotDevice iotDevice) {
		return null;
	}

	@Override
	public R<JSONObject> queryDevice(IotDevice iotDevice) {
		return null;
	}

	@Override
	public R queryDeviceList(AepIotDeviceQueryDto aepIotDeviceQueryDto) {
		return null;
	}


	@Override
	public R updateDevice(IotDevice iotDevice) {
		return null;
	}
}
